[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/

2022-10-07 Thread Ionen Wolkens
commit: 858047431229c96911b36fe8b9a5662ebf584e0d
Author: Ionen Wolkens  gentoo  org>
AuthorDate: Fri Oct  7 05:57:35 2022 +
Commit: Ionen Wolkens  gentoo  org>
CommitDate: Fri Oct  7 06:33:12 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85804743

dev-libs/libstroke: EAPI7->8, remove dead urls

Signed-off-by: Ionen Wolkens  gentoo.org>

 dev-libs/libstroke/libstroke-0.5.1-r1.ebuild | 17 +++--
 1 file changed, 7 insertions(+), 10 deletions(-)

diff --git a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
index 5abb144b665b..a353a532aef7 100644
--- a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
+++ b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
@@ -1,13 +1,13 @@
 # Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit autotools
 
-DESCRIPTION="A Stroke and Gesture recognition Library"
-HOMEPAGE="http://www.etla.net/libstroke/;
-SRC_URI="http://www.etla.net/libstroke/${P}.tar.gz;
+DESCRIPTION="Stroke and Gesture recognition Library"
+HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage;
+SRC_URI="mirror://gentoo/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -26,15 +26,12 @@ PATCHES=(
 
 src_prepare() {
default
-   mv configure.{in,ac} || die
-   eautoreconf
-}
 
-src_configure() {
-   econf --disable-static
+   eautoreconf
 }
 
 src_install() {
default
-   find "${ED}" -name '*.la' -delete || die
+
+   find "${ED}" -type f -name '*.la' -delete || die
 }



[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/files/, dev-libs/libstroke/

2022-10-07 Thread Ionen Wolkens
commit: f95a5748fe369f8c20d9e7d606c9d4f8650f2c59
Author: Ionen Wolkens  gentoo  org>
AuthorDate: Fri Oct  7 06:05:57 2022 +
Commit: Ionen Wolkens  gentoo  org>
CommitDate: Fri Oct  7 06:33:12 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f95a5748

dev-libs/libstroke: fix build with upcoming clang16

Closes: https://bugs.gentoo.org/871054
Signed-off-by: Ionen Wolkens  gentoo.org>

 dev-libs/libstroke/files/libstroke-0.5.1-clang16.patch | 7 +++
 .../{libstroke-0.5.1-r1.ebuild => libstroke-0.5.1-r2.ebuild}   | 1 +
 2 files changed, 8 insertions(+)

diff --git a/dev-libs/libstroke/files/libstroke-0.5.1-clang16.patch 
b/dev-libs/libstroke/files/libstroke-0.5.1-clang16.patch
new file mode 100644
index ..de903c63142c
--- /dev/null
+++ b/dev-libs/libstroke/files/libstroke-0.5.1-clang16.patch
@@ -0,0 +1,7 @@
+https://bugs.gentoo.org/871054
+--- a/libstroke/stroke.c
 b/libstroke/stroke.c
+@@ -13,2 +13,3 @@
+ #include 
++#include 
+ #include 

diff --git a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1-r2.ebuild
similarity index 95%
rename from dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
rename to dev-libs/libstroke/libstroke-0.5.1-r2.ebuild
index a353a532aef7..884a05341d0b 100644
--- a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
+++ b/dev-libs/libstroke/libstroke-0.5.1-r2.ebuild
@@ -22,6 +22,7 @@ PATCHES=(
"${FILESDIR}"/${P}-m4_syntax.patch
"${FILESDIR}"/${P}-no_gtk1.patch
"${FILESDIR}"/${P}-autotools.patch
+   "${FILESDIR}"/${P}-clang16.patch
 )
 
 src_prepare() {



[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/

2022-03-23 Thread Yixun Lan
commit: 0a526ebcd772a297451f663e158181b0b63facdb
Author: Yongxiang Liang  gmail  com>
AuthorDate: Sun Mar 20 11:07:25 2022 +
Commit: Yixun Lan  gentoo  org>
CommitDate: Wed Mar 23 08:46:04 2022 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a526ebc

dev-libs/libstroke: keyword 0.5.1-r1 for ~riscv

Signed-off-by: Yongxiang Liang  gmail.com>
Signed-off-by: Yixun Lan  gentoo.org>

 dev-libs/libstroke/libstroke-0.5.1-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
index de679ffa9ad4..5abb144b665b 100644
--- a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
+++ b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="http://www.etla.net/libstroke/${P}.tar.gz;
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ppc ppc64 sparc x86"
+KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
 
 RDEPEND="x11-libs/libX11"
 DEPEND="



[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/

2019-11-10 Thread Aaron Bauman
commit: 05c98659af8d9924e1e267d3e23f8243ff280812
Author: Aaron Bauman  gentoo  org>
AuthorDate: Sun Nov 10 03:07:30 2019 +
Commit: Aaron Bauman  gentoo  org>
CommitDate: Sun Nov 10 03:07:30 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05c98659

dev-libs/libstroke: stable EAPI7 ebuild and fix QA issue

Signed-off-by: Aaron Bauman  gentoo.org>

 dev-libs/libstroke/libstroke-0.5.1-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
index 983798ae225..d800a7013d9 100644
--- a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
+++ b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://www.etla.net/libstroke/${P}.tar.gz;
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
 IUSE=""
 
 RDEPEND="x11-libs/libX11"
@@ -27,6 +27,6 @@ src_prepare() {
 }
 
 src_install () {
-   emake DESTDIR="${D}" install || die
+   emake DESTDIR="${D}" install
dodoc CREDITS ChangeLog README
 }



[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/

2019-11-10 Thread Aaron Bauman
commit: 2ea4e0bcf4ab95668aa341b7ce07c12bba29
Author: Aaron Bauman  gentoo  org>
AuthorDate: Sun Nov 10 03:08:09 2019 +
Commit: Aaron Bauman  gentoo  org>
CommitDate: Sun Nov 10 03:08:09 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ea4e0bc

dev-libs/libstroke: drop old EAPI

Signed-off-by: Aaron Bauman  gentoo.org>

 dev-libs/libstroke/libstroke-0.5.1.ebuild | 33 ---
 1 file changed, 33 deletions(-)

diff --git a/dev-libs/libstroke/libstroke-0.5.1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1.ebuild
deleted file mode 100644
index 8255b731781..000
--- a/dev-libs/libstroke/libstroke-0.5.1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=0
-
-inherit eutils autotools
-
-DESCRIPTION="A Stroke and Gesture recognition Library"
-HOMEPAGE="http://www.etla.net/libstroke/;
-SRC_URI="http://www.etla.net/libstroke/${P}.tar.gz;
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
-IUSE=""
-
-RDEPEND="x11-libs/libX11"
-DEPEND="x11-base/xorg-proto
-   ${RDEPEND}"
-
-src_unpack() {
-   unpack "${A}"
-   cd "${S}"
-   epatch "${FILESDIR}"/${P}-m4_syntax.patch
-   epatch "${FILESDIR}"/${P}-no_gtk1.patch
-   epatch "${FILESDIR}"/${P}-autotools.patch
-   eautoreconf
-}
-
-src_install () {
-   emake DESTDIR=${D} install || die
-   dodoc CREDITS ChangeLog README
-}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/

2019-11-03 Thread Denis Dupeyron
commit: 0f2814561f6750e9d9c1d93d9538934b60bdc0cb
Author: Denis Dupeyron  gentoo  org>
AuthorDate: Sun Nov  3 20:40:42 2019 +
Commit: Denis Dupeyron  gentoo  org>
CommitDate: Sun Nov  3 20:41:14 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f281456

dev-libs/libstroke: update to EAPI 7

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Denis Dupeyron  gentoo.org>

 dev-libs/libstroke/libstroke-0.5.1-r1.ebuild | 32 
 1 file changed, 32 insertions(+)

diff --git a/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
new file mode 100644
index 000..983798ae225
--- /dev/null
+++ b/dev-libs/libstroke/libstroke-0.5.1-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils autotools
+
+DESCRIPTION="A Stroke and Gesture recognition Library"
+HOMEPAGE="http://www.etla.net/libstroke/;
+SRC_URI="http://www.etla.net/libstroke/${P}.tar.gz;
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="x11-base/xorg-proto
+   ${RDEPEND}"
+
+src_prepare() {
+   eapply "${FILESDIR}"/${P}-m4_syntax.patch
+   eapply "${FILESDIR}"/${P}-no_gtk1.patch
+   eapply "${FILESDIR}"/${P}-autotools.patch
+   eapply_user
+   eautoreconf
+}
+
+src_install () {
+   emake DESTDIR="${D}" install || die
+   dodoc CREDITS ChangeLog README
+}



[gentoo-commits] repo/gentoo:master commit in: dev-libs/libstroke/, dev-libs/ace/, dev-libs/libotf/

2018-05-11 Thread Matt Turner
commit: 9bdd05e2f23b059ea6f23f3338298f80048140b0
Author: Arfrever Frehtes Taifersar Arahesis  Apache  Org>
AuthorDate: Fri May 11 20:39:18 2018 +
Commit: Matt Turner  gentoo  org>
CommitDate: Sat May 12 00:25:50 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bdd05e2

dev-libs/*: Update dependencies (x11-proto/* -> x11-base/xorg-proto).

 dev-libs/ace/ace-5.7.2.ebuild | 2 +-
 dev-libs/ace/ace-5.8.3.ebuild | 4 ++--
 dev-libs/libotf/libotf-0.9.13.ebuild  | 4 ++--
 dev-libs/libotf/libotf-0.9.16.ebuild  | 4 ++--
 dev-libs/libstroke/libstroke-0.5.1.ebuild | 2 +-
 5 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/dev-libs/ace/ace-5.7.2.ebuild b/dev-libs/ace/ace-5.7.2.ebuild
index 36c1041a8db..9eef7e48a63 100644
--- a/dev-libs/ace/ace-5.7.2.ebuild
+++ b/dev-libs/ace/ace-5.7.2.ebuild
@@ -24,7 +24,7 @@ RDEPEND="${COMMON_DEPEND}
X? ( x11-libs/libXt x11-libs/libXaw )"
 
 DEPEND="${COMMON_DEPEND}
-   X? ( x11-proto/xproto )"
+   X? ( x11-base/xorg-proto )"
 
 S="${WORKDIR}/ACE_wrappers"
 

diff --git a/dev-libs/ace/ace-5.8.3.ebuild b/dev-libs/ace/ace-5.8.3.ebuild
index 5acad9eca3c..295e81552a4 100644
--- a/dev-libs/ace/ace-5.8.3.ebuild
+++ b/dev-libs/ace/ace-5.8.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -25,7 +25,7 @@ RDEPEND="${COMMON_DEPEND}
X? ( x11-libs/libXt x11-libs/libXaw )"
 
 DEPEND="${COMMON_DEPEND}
-   X? ( x11-proto/xproto )"
+   X? ( x11-base/xorg-proto )"
 
 S="${WORKDIR}/ACE_wrappers"
 

diff --git a/dev-libs/libotf/libotf-0.9.13.ebuild 
b/dev-libs/libotf/libotf-0.9.13.ebuild
index ace881fbca4..34aacce2afe 100644
--- a/dev-libs/libotf/libotf-0.9.13.ebuild
+++ b/dev-libs/libotf/libotf-0.9.13.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -21,9 +21,9 @@ RDEPEND=">=media-libs/freetype-2.4.9
)"
 DEPEND="${RDEPEND}
X? (
+   x11-base/xorg-proto
x11-libs/libICE
x11-libs/libXmu
-   x11-proto/xproto
)"
 
 DOCS="AUTHORS ChangeLog NEWS README"

diff --git a/dev-libs/libotf/libotf-0.9.16.ebuild 
b/dev-libs/libotf/libotf-0.9.16.ebuild
index 1fdded3749e..e0066ed99ca 100644
--- a/dev-libs/libotf/libotf-0.9.16.ebuild
+++ b/dev-libs/libotf/libotf-0.9.16.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -22,9 +22,9 @@ RDEPEND=">=media-libs/freetype-2.4.9
 DEPEND="${RDEPEND}
virtual/pkgconfig
X? (
+   x11-base/xorg-proto
x11-libs/libICE
x11-libs/libXmu
-   x11-proto/xproto
)"
 
 DOCS="AUTHORS ChangeLog NEWS README"

diff --git a/dev-libs/libstroke/libstroke-0.5.1.ebuild 
b/dev-libs/libstroke/libstroke-0.5.1.ebuild
index ca71eba94a9..cfa602722b0 100644
--- a/dev-libs/libstroke/libstroke-0.5.1.ebuild
+++ b/dev-libs/libstroke/libstroke-0.5.1.ebuild
@@ -15,7 +15,7 @@ KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 
~x86-fbsd"
 IUSE=""
 
 RDEPEND="x11-libs/libX11"
-DEPEND="x11-proto/xproto
+DEPEND="x11-base/xorg-proto
${RDEPEND}"
 
 src_unpack() {